

#include "BUILTIN.h"
extern TUP2 _APair_8(OBJ);extern OBJ __APair_8;

#include "Nat.h"
extern OBJ _AComCompose_5(OBJ,OBJ);extern OBJ __AComCompose_5;
extern OBJ _AComPairCompose_4(OBJ,OBJ);OBJ __AComPairCompose_4; /* & */
extern OBJ _AComPairCompose_5(OBJ,OBJ);OBJ __AComPairCompose_5; /* &'5 */

extern OBJ _AComPairCompose_4(OBJ x1,OBJ x2) /* & */
{OBJ r;
 CPCLS(__AComPairCompose_5,1);
 {OBJ x3;
  x3=(*(OBJ(*)(OBJ,OBJ))METHOD(__AComPairCompose_5,1))(__AComPairCompose_5,x2);
  r=_AComCompose_5(x1,x3);}
 return r;}

extern OBJ _AComPairCompose_5(OBJ x1,OBJ x2) /* &'5 */
{OBJ r;
 {TUP2 x4;
  x4=_APair_8(x2);
  r=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(x1,2))(x1,x4.c1,x4.c2);}
 return r;}

init_AComPairCompose()
{
 static int visited=0; if(visited) return; visited=1;
 init_APair();
 init_ACom();
 init_ANat();
 init_AVoid();
 init_ASeq();
 init_AOption();
 init_AComCompose();
 init_ASeqMap();
 CLS(2,_AComPairCompose_5,__AComPairCompose_5);
 CLS(2,_AComPairCompose_4,__AComPairCompose_4);}

